Summary: A debugger which detects memory allocation violations.
Name: njamd
Version: 0.9.2
Release: 8
License: GPL
Group: Development/Tools
Source: http://prdownloads.sourceforge.net/njamd/%{name}-%{version}.tar.gz
Patch0: njamd-ia64.patch
Patch1: njamd-0.8.0-nogui.patch
Patch2: njamd-0.9.2-64.patch
Patch3: njamd-0.9.2-dl-iterate.patch
URL: http://sourceforge.net/projects/njamd
BuildRoot: %{_tmppath}/%{name}-root

%description
NJAMD is a malloc debugger which protects against all common dynamic
memory bugs (including overflow, underflow, writes to freed memory,
and memory leaks) without recompiling or even relinking your
executable. NJAMD is able to trace memory leaks even through arbitrary
library functions that wrap malloc(3), such as strdup(3), GUI widget
allocators, and even C++ new and delete.

NJAMD is fast enough for everyday use, and light enough to debug most
applications. Large applications will require more RAM for comfortable
debugging.

%prep
%setup -q
%ifarch ia64
%patch0 -p1 -b .ia64
%endif
%patch1 -p1 -b .nogui
%patch2 -p1 -b .64
%patch3 -p1 -b .dl-iterate

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS NOTES README TODO 
%{_bindir}/*
%{_mandir}/man*/*
%{_libdir}/libnjamd*

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan  8 2003 Jeff Johnson <jbj@redhat.com> 0.9.2-7
- don't include -debuginfo files in package.

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 0.9.2-6
- lib64'ize

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Apr 15 2002 Jakub Jelinek <jakub@redhat.com> 0.9.2-3
- don't use hardcoded library names, instead use dl_iterate_phdr
  to find it out (#62821)

* Thu Feb 28 2002 Jakub Jelinek <jakub@redhat.com> 0.9.2-2
- rebuild

* Fri Jan 25 2002 Jakub Jelinek <jakub@redhat.com>
- 0.9.2 stable release

* Thu Aug 16 2001 Bill Nottingham <notting@redhat.com>
- print 64-bit address pointers on 64 bit platforms
- don't warn about freeing null pointers

* Mon Jun 25 2001 Preston Brown <pbrown@redhat.com>
- 0.8.1 stable release

* Thu Feb  1 2001 Preston Brown <pbrown@redhat.com>
- removed tests from documentation bundle; they don't belong here (#15834)

* Wed Jan 31 2001 Preston Brown <pbrown@redhat.com>
- there is no gui mode yet; fix command line option list (#12453)

* Mon Dec 11 2000 Preston Brown <pbrown@redhat.com>
- 0.8.0

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun  2 2000 Bill Nottingham <notting@redhat.com>
- hardcode alignment on ia64

* Wed May 24 2000 Preston Brown <pbrown@redhat.com>
- initial package, to replace ElectricFence.
